TESTING/LIN/sgennd.f(3)

NAME
TESTING/LIN/sgennd.f

SYNOPSIS

  Functions/Subroutines
logical function sgennd (m, n, a, lda)
SGENND

Function/Subroutine Documentation

  logical function sgennd (integer m, integer n, real, dimension( lda, * ) a, integer lda)

SGENND

Purpose:

    !>
    !>    SGENND tests that its argument has a non-negative diagonal.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows in A.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns in A.
    !>

    A

    !>          A is REAL array, dimension (LDA, N)
    !>          The matrix.
    !>

    LDA

    !>          LDA is INTEGER
    !>          Leading dimension of A.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 67 of file sgennd.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.